#!/bin/bash

#Cria o arquivo de log da instalação
time=$(date +"%Y%m%d-%H_%M_%S")
log="/tmp/instalacao_snx-"$time".log"

#Repositorio de bibliotecas necessarias para Debian ou Ubuntu

lib[0]="libpam0g:i386"
lib[1]="libx11-6:i386"
lib[2]="libstdc++6:i386"
lib[3]="libstdc++5:i386"
lib[4]=""
touch $log

AbortaInstalacao(){
	echo  -e "\n\n	***** ATENCAO ****" | tee -a $log
        echo " Ocorreu um erro na instalação.         " | tee -a $log
	echo -e " Caso não consiga resolver, abra um chamado anexando no e-mail o arquivo de log" | tee -a $log
	echo " Log criado em $log"
	exit 1

}

#
#eh64bits(){
#	return $(uname -m) == "x86_64"
#}

#echo eh64bits()

#Verifica se o usuario eh administrador
if [ `id -u` != 0 ]
then
	echo "Execute este instalador como administrador!"
	exit 1
fi

echo  '#################################################' | tee -a $log
echo  '#                                               #' | tee -a $log
echo  '#      Instalacao Cliente VPN Check Point       #' | tee -a $log
echo  '#                                               #' | tee -a $log
echo -e '#################################################\n\n' | tee -a $log


so=$(cat /etc/issue | cut -d " " -f1)

if [[ $so == "Ubuntu" || $so == "Debian" ]]
then
	echo " Sistema Operacional encontrado: $so" | tee -a $log
else
	echo " Sua distribuicao Linux nao eh suportada por este instalador.             " | tee -a $log
	echo " Consulte o Anexo A do manual linux para instalar os pacotes necessarios. " | tee -a $log
	exit 1
fi

#Verifica qual a arquitetura do Sistema Operacional: 32 ou 64 Bits
if [[ $(uname -m) == "x86_64" ]]
then
	echo " Detectado Sistema Operacional 64 Bits			" | tee -a $log

	echo " Habilitando arquitetura 32 Bits		" | tee -a $log
	dpkg --add-architecture i386 &>> $log

	if [ $? -eq 0 ]
        then
                echo " Arquitetura 32 Bits habilitada" | tee -a $log
        else
                AbortaInstalacao
        fi
fi	

echo " Atualizando repositorio 	"
apt-get update &>> $log

if [ $? -eq 0 ]
then
	echo " Repositorio atualizado com sucesso		" | tee -a $log
else
	AbortaInstalacao
fi

echo " Instalando dependencias			"
apt-get -y install ${lib[0]} ${lib[1]} ${lib[2]} ${lib[3]} &>> $log

if [ $? -eq 0 ]
       then
               echo " Dependencias instaladas com sucesso          " | tee -a $log
       else
               AbortaInstalacao
fi


echo " Instalando Cliente VPN"

./snx_install_linux30.sh &>> $log
if [ $? -eq 0 ]
then
	echo " Instalacao concluida com sucesso"
else
	AbortaInstalacao
fi

echo " Log criado em $log"

exit 0
